tests/test-no-symlinks
changeset 5085 dcfd75502b82
child 5089 9b5ae133bd5a
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-no-symlinks	Wed Aug 08 22:47:18 2007 +0200
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" no-symlink || exit 80
+
+# The following script was used to create the bundle:
+#
+# hg init symlinks
+# cd symlinks
+# echo a > a
+# mkdir d
+# echo b > d/b
+# ln -s a a.lnk
+# ln -s d/b d/b.lnk
+# hg ci -Am t
+# hg bundle --base null ../test-no-symlinks.bundle
+
+# Extract a symlink on a platform not supporting them
+echo % unbundle
+hg init t
+cd t
+hg pull "$TESTDIR/test-no-symlinks.bundle"
+hg update
+
+cat a.lnk && echo
+cat d/b.lnk && echo
+
+# Copy a symlink and move another
+echo % move and copy
+hg copy a.lnk d/a2.lnk
+hg mv d/b.lnk b2.lnk
+hg ci -Am copy
+cat d/a2.lnk && echo
+cat b2.lnk && echo
+
+# Bundle and extract again
+echo % bundle
+hg bundle --base null ../symlinks.bundle
+cd ..
+
+hg init t2
+cd t2
+hg pull ../symlinks.bundle
+hg update
+
+cat a.lnk && echo
+cat d/a2.lnk && echo
+cat b2.lnk && echo
\ No newline at end of file